Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.security
Class SslSocketConnector.SslConnection

    java.lang.Object
      org.mortbay.io.bio.StreamEndPoint
          org.mortbay.io.bio.SocketEndPoint
              org.mortbay.jetty.bio.SocketConnector.Connection
                  org.mortbay.jetty.security.SslSocketConnector.SslConnection

All Implemented Interfaces:
  java.lang.Runnable, EndPoint

Enclosing class:
  SslSocketConnector

    public class SslSocketConnector.SslConnection

extends SocketConnector.Connection

Field Summary

Fields inherited from class org.mortbay.jetty.bio.SocketConnector.Connection
`_socket`

Constructor Summary
`SslSocketConnector.SslConnection(java.net.Socket socket)`

Method Summary
`void` | `run()`
`void` | `shutdownOutput()` Shutdown any backing output stream associated with the endpoint

Methods inherited from class org.mortbay.jetty.bio.SocketConnector.Connection
`dispatch, fill`

Methods inherited from class org.mortbay.io.bio.SocketEndPoint
`close, getLocalAddr, getLocalHost, getLocalPort, getRemoteAddr, getRemoteHost, getRemotePort, getTransport, isOpen`

Methods inherited from class org.mortbay.io.bio.StreamEndPoint
`blockReadable, blockWritable, flush, flush, flush, getInputStream, getOutputStream, isBlocking, isBufferingInput, isBufferingOutput, isBufferred, isClosed, setInputStream, setOutputStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SslSocketConnector.SslConnection

    public SslSocketConnector.SslConnection(java.net.Socket socket)
                                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### shutdownOutput

    public void shutdownOutput()
                        throws java.io.IOException

  Description copied from interface: `EndPoint`
  Shutdown any backing output stream associated with the endpoint

  Specified by:
    `shutdownOutput` in interface `EndPoint`
  Overrides:
    `shutdownOutput` in class `SocketEndPoint`
  Throws:
    `java.io.IOException`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `SocketConnector.Connection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.